## com.thingmagic
Class Gen2.Impinj.Monza4.QTReadWrite

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Impinj
                  com.thingmagic.Gen2.Impinj.Monza4
                      com.thingmagic.Gen2.Impinj.Monza4.QTReadWrite

Enclosing class:
  Gen2.Impinj.Monza4

    public static class Gen2.Impinj.Monza4.QTReadWrite

extends Gen2.Impinj.Monza4

Monza4QTReadWrite

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Impinj.Monza4
`Gen2.Impinj.Monza4.QTControlByte, Gen2.Impinj.Monza4.QTPayload, Gen2.Impinj.Monza4.QTReadWrite`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Impinj
`Gen2.Impinj.Monza4, Gen2.Impinj.Monza6`

Field Summary
`int` `accessPassword` access password
`int` `controlByte` control byte
`int` `payloadWord` payload byte

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Impinj.Monza4.QTReadWrite(int accessPassword, Gen2.Impinj.Monza4.QTPayload payload, Gen2.Impinj.Monza4.QTControlByte controlByte)` Constructor to initialize the parameters QTPayload and QTControlByte

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accessPassword

    public int accessPassword

  access password

### controlByte

    public int controlByte

  control byte

### payloadWord

    public int payloadWord

  payload byte

Constructor Detail

### Gen2.Impinj.Monza4.QTReadWrite

    public Gen2.Impinj.Monza4.QTReadWrite(int accessPassword,
                                          Gen2.Impinj.Monza4.QTPayload payload,
                                          Gen2.Impinj.Monza4.QTControlByte controlByte)

  Constructor to initialize the parameters QTPayload and QTControlByte

  Parameters:
    `accessPassword` -
    `payload` - - comprises of qtSR - Bit 15 (MSB) is first transmitted bit of the payload field and qtMEM - Tag uses Public/Private Memory Map
    `controlByte` - - comprises of qtReadWrite - The Read/Write field indicates whether the tag reads or writes QT control data and persistence - The Persistence field indicates whether the QT control is written to non-volatile memory